- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libepubgen::EPUBBinarySink Class Reference

`#include <EPUBBinarySink.h>`

## Public Member Functions
| EPUBBinarySink ()
void | insertBinaryData (const librevenge::RVNGBinaryData &data)
void | writeTo (EPUBPackage &package, const char *name)

## Private Attributes
librevenge::RVNGBinaryData | m_data

## Constructor & Destructor Documentation

libepubgen::EPUBBinarySink::EPUBBinarySink | ( |  | ) |

## Member Function Documentation

void libepubgen::EPUBBinarySink::insertBinaryData | ( | const librevenge::RVNGBinaryData & | data | ) |

Referenced by libepubgen::EPUBImageManager::writeTo().

void libepubgen::EPUBBinarySink::writeTo | ( | EPUBPackage & | package,
|  | const char * | name
| ) |  |

Referenced by libepubgen::EPUBImageManager::writeTo().

## Member Data Documentation

librevenge::RVNGBinaryData libepubgen::EPUBBinarySink::m_data
| private

Referenced by insertBinaryData(), and writeTo().

The documentation for this class was generated from the following files:

- EPUBBinarySink.h
- EPUBBinarySink.cpp